User:
  properties:
    APIGatewayURL:
      description: API Gateway URL
      type: string
      x-nullable: true
    APIGatewayUser:
      description: API Gateway User
      type: string
      x-nullable: true
    APIKey:
      description: API Key
      type: string
      x-nullable: true
    AboutMe:
      description: About Me
      type: string
      x-nullable: true
    AccountID:
      description: Account ID
      type: string
      x-nullable: true
    Address:
      $ref: "./address.yaml#/Address"
      x-nullable: true
    Alias:
      description: Alias
      type: string
      x-nullable: true
    Auth0UserID:
      description: Auth0 User Id
      type: string
      x-nullable: true
    CommunityNickname:
      description: Nickname
      type: string
      x-nullable: true
    CompanyName:
      description: Company Name
      type: string
      x-nullable: true
    ContactID:
      description: Contact
      type: string
      x-nullable: true
    CreatedByID:
      description: Created User ID
      type: string
      x-nullable: true
    CreatedDate:
      description: Date Created
      type: string
      x-nullable: true
    DelegatedApproverID:
      description: Delegated Approver
      type: string
      x-nullable: true
    Department:
      description: Department
      type: string
      x-nullable: true
    Division:
      description: Division
      type: string
      x-nullable: true
    Email:
      description: Email address
      type: string
      x-nullable: true
    EmployeeNumber:
      description: Employee Number
      type: string
      x-nullable: true
    EndOfDay:
      description: Time day ends
      type: string
      x-nullable: true
    Environment:
      description: Environment
      type: string
      x-nullable: true
    Extension:
      description: Extension
      type: string
      x-nullable: true
    Fax:
      description: Fax
      type: string
      x-nullable: true
    FirstName:
      description: The first name
      type: string
      x-nullable: true
    ForecastEnabled:
      description: Allow Forecasting
      type: boolean
      x-nullable: true
    FullPhotoURL:
      description: Full Photo URL
      type: string
      x-nullable: true
    GitHub:
      description: GitHub
      type: string
      x-nullable: true
    ID:
      description: Record ID
      type: string
    IsActive:
      description: Active
      type: boolean
      x-nullable: true
    IsPortalEnabled:
      description: Is the user enabled for Communities?
      type: boolean
      x-nullable: true
    IsSystemControlled:
      type: boolean
      x-nullable: true
    LastIP:
      description: IP address of last login
      type: string
      x-nullable: true
    LastLogin:
      description: Last login time
      type: string
      x-nullable: true
    LastModifiedByID:
      description: Last Modified User ID
      type: string
      x-nullable: true
    LastModifiedDate:
      description: Last Modified Date
      type: string
      x-nullable: true
    LastName:
      description: The Last Name
      type: string
      x-nullable: true
    LinkedIn:
      description: LinkedIn
      type: string
      x-nullable: true
    LoginCount:
      description: Number of times user has logged in
      format: int64
      type: number
      x-nullable: true
    ManagerID:
      description: Manager
      type: string
      x-nullable: true
    MobilePhone:
      description: Mobile
      type: string
      x-nullable: true
    Name:
      description: Name
      type: string
      x-nullable: true
    OutOfOfficeMessage:
      description: Out of office message
      type: string
      x-nullable: true
    Phone:
      description: Phone
      type: string
      x-nullable: true
    PortalRole:
      description: Portal Role Level
      type: string
      x-nullable: true
    ProfileID:
      description: Profile
      type: string
      x-nullable: true
    ReceivesAdminEmails:
      description: Info Emails
      type: boolean
      x-nullable: true
    SenderEmail:
      description: Email Sender Address
      type: string
      x-nullable: true
    SenderName:
      description: Email Sender Name
      type: string
      x-nullable: true
    SmallPhotoURL:
      description: Small Photo URL
      type: string
      x-nullable: true
    StartOfDay:
      description: The time day starts
      type: string
      x-nullable: true
    Status:
      description: Onboarding Status
      type: string
      x-nullable: true
    ExternalAccount:
      description: Account
      type: string
      x-nullable: true
    TenantID:
      description: Tenant ID associated with this user
      type: string
      x-nullable: true
    TenantUsers:
      items:
        $ref: "./tenant-user.yaml#/TenantUser"
      type: array
      x-nullable: true
    TimeZone:
      description: Time Zone
      type: string
      x-nullable: true
    Title:
      description: Title
      type: string
      x-nullable: true
    Twitter:
      description: Twitter
      type: string
      x-nullable: true
    UserRoleID:
      description: Role
      type: string
      x-nullable: true
    UserRoles:
      items:
        $ref: "./user-role.yaml#/UserRole"
      type: array
      x-nullable: true
    UserType:
      description: User Type
      type: string
      x-nullable: true
    Username:
      description: Username
      type: string
      x-nullable: true
  type: object
